VERSION 5.00
Begin VB.UserControl TextPrinter 
   ClientHeight    =   435
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   465
   InvisibleAtRuntime=   -1  'True
   Picture         =   "TextPrinter.ctx":0000
   ScaleHeight     =   435
   ScaleWidth      =   465
   ToolboxBitmap   =   "TextPrinter.ctx":066A
End
Attribute VB_Name = "TextPrinter"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit

Private Type DOCINFO
    pDocName As String
    pOutputFile As String
    pDatatype As String
End Type

Private Declare Function ClosePrinter Lib "winspool.drv" (ByVal hPrinter As Long) As Long
Private Declare Function EndDocPrinter Lib "winspool.drv" (ByVal hPrinter As Long) As Long
Private Declare Function EndPagePrinter Lib "winspool.drv" (ByVal hPrinter As Long) As Long
Private Declare Function OpenPrinter Lib "winspool.drv" Alias "OpenPrinterA" (ByVal pPrinterName As String, phPrinter As Long, ByVal pDefault As Long) As Long
Private Declare Function StartDocPrinter Lib "winspool.drv" Alias "StartDocPrinterA" (ByVal hPrinter As Long, ByVal Level As Long, pDocInfo As DOCINFO) As Long
Private Declare Function StartPagePrinter Lib "winspool.drv" (ByVal hPrinter As Long) As Long
Private Declare Function WritePrinter Lib "winspool.drv" (ByVal hPrinter As Long, pBuf As Any, ByVal cdBuf As Long, pcWritten As Long) As Long
Public Sub PrintFile(ByVal printer_name As String, ByVal file_name As String, ByVal text_contents As String)
Dim lhPrinter As Long
Dim lReturn As Long
Dim lpcWritten As Long
Dim lDoc As Long
Dim sWrittenData As String
Dim MyDocInfo As DOCINFO

    lReturn = OpenPrinter(printer_name, lhPrinter, 0)
    If lReturn = 0 Then Exit Sub

    MyDocInfo.pDocName = file_name
    MyDocInfo.pOutputFile = vbNullString
    MyDocInfo.pDatatype = vbNullString
    lDoc = StartDocPrinter(lhPrinter, 1, MyDocInfo)
    StartPagePrinter lhPrinter

    sWrittenData = text_contents
    WritePrinter lhPrinter, ByVal sWrittenData, Len(sWrittenData), lpcWritten

    EndPagePrinter lhPrinter
    EndDocPrinter lhPrinter
    ClosePrinter lhPrinter
End Sub

Private Sub UserControl_Resize()
    Width = ScaleX(24, vbPixels, vbTwips)
    Height = ScaleX(23, vbPixels, vbTwips)
End Sub
